Workflow
Update a specific workflow version
Only analyzeOverrides can be updated for stats purposes
POST
/
workflows
/
{id}
/
versions
/
{versionId}
Update a specific workflow version
curl --request POST \
--url https://api.reelevant.com/v2/workflows/{id}/versions/{versionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"analyzeOverrides": {
"vertexIndividualizedScore": {},
"customVertexNames": [
{
"vertexId": "<string>",
"name": "<string>"
}
],
"branchCategoryIds": {}
}
}
'{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"_id": "<string>",
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hierarchy": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z",
"hidden": true,
"integrations": [
{
"type": "web",
"id": "<string>",
"workflowId": "<string>",
"shortId": "<string>",
"domain": "<string>",
"enabled": true,
"includeContext": true,
"includeDatalayerPath": [
"<string>"
],
"waitForEvents": [
"<string>"
],
"filters": {
"type": "and",
"conditions": [
{
"operator": "empty",
"field": "<string>",
"values": [
"<string>"
]
}
]
},
"code": "<string>",
"selector": "<string>",
"emplacement": "replace"
}
],
"companyId": "<string>",
"resourceGroupIds": [
"<string>"
],
"versions": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"definition": {
"nodes": {},
"entrypoints": {},
"edges": {}
},
"analyze": {
"entrypointsByBranches": [
{
"branch": "<string>",
"entrypointIds": [
"<string>"
]
}
],
"branches": [
"<string>"
],
"individualizedBranches": [
"<string>"
],
"branchesScore": {},
"defaultBranches": [
"<string>"
],
"usedDatasourceFields": {},
"branchesInfos": {},
"entrypointsPerDataNodeId": {},
"entrypointsPerPathId": {},
"entrypointTypes": [
"<string>"
],
"categoryIdByBranch": {},
"outputsForEntrypoint": {},
"datasForEntrypoint": {}
},
"metadata": {},
"analyzeOverrides": {
"vertexIndividualizedScore": {},
"customVertexNames": [
{
"vertexId": "<string>",
"name": "<string>"
}
],
"branchCategoryIds": {}
},
"lastSavedBy": "<string>",
"changeDescription": "<string>",
"complexityScore": 123
}
],
"description": "<string>",
"variableProfileId": "<string>"
},
"code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Pattern:
^[0-9a-fA-F]{24}$Body
application/json
Overrides configuration for the analyze
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a specific workflow version
curl --request POST \
--url https://api.reelevant.com/v2/workflows/{id}/versions/{versionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"analyzeOverrides": {
"vertexIndividualizedScore": {},
"customVertexNames": [
{
"vertexId": "<string>",
"name": "<string>"
}
],
"branchCategoryIds": {}
}
}
'{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"_id": "<string>",
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hierarchy": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z",
"hidden": true,
"integrations": [
{
"type": "web",
"id": "<string>",
"workflowId": "<string>",
"shortId": "<string>",
"domain": "<string>",
"enabled": true,
"includeContext": true,
"includeDatalayerPath": [
"<string>"
],
"waitForEvents": [
"<string>"
],
"filters": {
"type": "and",
"conditions": [
{
"operator": "empty",
"field": "<string>",
"values": [
"<string>"
]
}
]
},
"code": "<string>",
"selector": "<string>",
"emplacement": "replace"
}
],
"companyId": "<string>",
"resourceGroupIds": [
"<string>"
],
"versions": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"definition": {
"nodes": {},
"entrypoints": {},
"edges": {}
},
"analyze": {
"entrypointsByBranches": [
{
"branch": "<string>",
"entrypointIds": [
"<string>"
]
}
],
"branches": [
"<string>"
],
"individualizedBranches": [
"<string>"
],
"branchesScore": {},
"defaultBranches": [
"<string>"
],
"usedDatasourceFields": {},
"branchesInfos": {},
"entrypointsPerDataNodeId": {},
"entrypointsPerPathId": {},
"entrypointTypes": [
"<string>"
],
"categoryIdByBranch": {},
"outputsForEntrypoint": {},
"datasForEntrypoint": {}
},
"metadata": {},
"analyzeOverrides": {
"vertexIndividualizedScore": {},
"customVertexNames": [
{
"vertexId": "<string>",
"name": "<string>"
}
],
"branchCategoryIds": {}
},
"lastSavedBy": "<string>",
"changeDescription": "<string>",
"complexityScore": 123
}
],
"description": "<string>",
"variableProfileId": "<string>"
},
"code": 123
}